import type PCancelable from 'p-cancelable';
import type { IDeferredPromise, IExecuteResponsePromiseData, IRun, ExecutionStatus } from 'n8n-workflow';
import type { IExecutionsCurrentSummary, IWorkflowExecutionDataProcess } from './Interfaces';
import { ExecutionRepository } from './databases/repositories/execution.repository';
import { Logger } from './Logger';
export declare class ActiveExecutions {
    private readonly logger;
    private readonly executionRepository;
    private activeExecutions;
    constructor(logger: Logger, executionRepository: ExecutionRepository);
    add(executionData: IWorkflowExecutionDataProcess, executionId?: string): Promise<string>;
    attachWorkflowExecution(executionId: string, workflowExecution: PCancelable<IRun>): void;
    attachResponsePromise(executionId: string, responsePromise: IDeferredPromise<IExecuteResponsePromiseData>): void;
    resolveResponsePromise(executionId: string, response: IExecuteResponsePromiseData): void;
    getPostExecutePromiseCount(executionId: string): number;
    remove(executionId: string, fullRunData?: IRun): void;
    stopExecution(executionId: string): Promise<IRun | undefined>;
    getPostExecutePromise(executionId: string): Promise<IRun | undefined>;
    getActiveExecutions(): IExecutionsCurrentSummary[];
    setStatus(executionId: string, status: ExecutionStatus): void;
    getStatus(executionId: string): ExecutionStatus;
    shutdown(cancelAll?: boolean): Promise<void>;
    private getExecution;
}
