import type { IExternalHooksFileData } from './Interfaces';
import { UserRepository } from './databases/repositories/user.repository';
import { CredentialsRepository } from './databases/repositories/credentials.repository';
import { SettingsRepository } from './databases/repositories/settings.repository';
import { WorkflowRepository } from './databases/repositories/workflow.repository';
export declare class ExternalHooks {
    externalHooks: {
        [key: string]: Array<() => {}>;
    };
    private initDidRun;
    private dbCollections;
    constructor(userRepository: UserRepository, settingsRepository: SettingsRepository, credentialsRepository: CredentialsRepository, workflowRepository: WorkflowRepository);
    init(): Promise<void>;
    reload(externalHooks?: IExternalHooksFileData): Promise<void>;
    loadHooksFiles(reload?: boolean): Promise<void>;
    loadHooks(hookFileData: IExternalHooksFileData): void;
    run(hookName: string, hookParameters?: any[]): Promise<void>;
    exists(hookName: string): boolean;
}
