import { Cipher } from 'n8n-core';
import { UserRepository } from '../databases/repositories/user.repository';
import { TOTPService } from './totp.service';
export declare class MfaService {
    private userRepository;
    totp: TOTPService;
    private cipher;
    constructor(userRepository: UserRepository, totp: TOTPService, cipher: Cipher);
    generateRecoveryCodes(n?: number): string[];
    generateEncryptedRecoveryCodes(): string[];
    saveSecretAndRecoveryCodes(userId: string, secret: string, recoveryCodes: string[]): Promise<import("@n8n/typeorm").UpdateResult>;
    encryptSecretAndRecoveryCodes(rawSecret: string, rawRecoveryCodes: string[]): {
        encryptedRecoveryCodes: string[];
        encryptedSecret: string;
    };
    private decryptSecretAndRecoveryCodes;
    getSecretAndRecoveryCodes(userId: string): Promise<{
        decryptedSecret: string;
        decryptedRecoveryCodes: string[];
    }>;
    enableMfa(userId: string): Promise<void>;
    encryptRecoveryCodes(mfaRecoveryCodes: string[]): string[];
    disableMfa(userId: string): Promise<void>;
}
