import type { INode, Workflow } from 'n8n-workflow';
import { License } from '../License';
import { OwnershipService } from '../services/ownership.service';
import { UserRepository } from '../databases/repositories/user.repository';
import { SharedCredentialsRepository } from '../databases/repositories/sharedCredentials.repository';
import { SharedWorkflowRepository } from '../databases/repositories/sharedWorkflow.repository';
export declare class PermissionChecker {
    private readonly userRepository;
    private readonly sharedCredentialsRepository;
    private readonly sharedWorkflowRepository;
    private readonly ownershipService;
    private readonly license;
    constructor(userRepository: UserRepository, sharedCredentialsRepository: SharedCredentialsRepository, sharedWorkflowRepository: SharedWorkflowRepository, ownershipService: OwnershipService, license: License);
    check(workflowId: string, userId: string, nodes: INode[]): Promise<void>;
    checkSubworkflowExecutePolicy(subworkflow: Workflow, parentWorkflowId: string, node?: INode): Promise<void>;
    private mapCredIdsToNodes;
}
