/// <reference types="node" />
import type { IExecutionsStopData } from './Interfaces';
import { WorkflowRunner } from './WorkflowRunner';
import { ExecutionRepository } from './databases/repositories/execution.repository';
import { OwnershipService } from './services/ownership.service';
import { Logger } from './Logger';
import { OrchestrationService } from './services/orchestration.service';
export declare class WaitTracker {
    private readonly logger;
    private readonly executionRepository;
    private readonly ownershipService;
    private readonly workflowRunner;
    readonly orchestrationService: OrchestrationService;
    private waitingExecutions;
    mainTimer: NodeJS.Timeout;
    constructor(logger: Logger, executionRepository: ExecutionRepository, ownershipService: OwnershipService, workflowRunner: WorkflowRunner, orchestrationService: OrchestrationService);
    startTracking(): void;
    getWaitingExecutions(): Promise<void>;
    stopExecution(executionId: string): Promise<IExecutionsStopData>;
    startExecution(executionId: string): void;
    stopTracking(): void;
}
