"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AIController = void 0;
const decorators_1 = require("../decorators");
const ai_service_1 = require("../services/ai.service");
const NodeTypes_1 = require("../NodeTypes");
const failed_dependency_error_1 = require("../errors/response-errors/failed-dependency.error");
let AIController = class AIController {
    constructor(aiService, nodeTypes) {
        this.aiService = aiService;
        this.nodeTypes = nodeTypes;
    }
    async debugError(req) {
        var _a;
        const { error } = req.body;
        let nodeType;
        if ((_a = error.node) === null || _a === void 0 ? void 0 : _a.type) {
            nodeType = this.nodeTypes.getByNameAndVersion(error.node.type, error.node.typeVersion);
        }
        try {
            const message = await this.aiService.debugError(error, nodeType);
            return {
                message,
            };
        }
        catch (aiServiceError) {
            throw new failed_dependency_error_1.FailedDependencyError(aiServiceError.message ||
                'Failed to debug error due to an issue with an external dependency. Please try again later.');
        }
    }
};
exports.AIController = AIController;
__decorate([
    (0, decorators_1.Post)('/debug-error'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], AIController.prototype, "debugError", null);
exports.AIController = AIController = __decorate([
    (0, decorators_1.RestController)('/ai'),
    __metadata("design:paramtypes", [ai_service_1.AIService,
        NodeTypes_1.NodeTypes])
], AIController);
//# sourceMappingURL=ai.controller.js.map