import { NextFunction, Response } from 'express';
import type { INodeListSearchResult, INodePropertyOptions, ResourceMapperFields } from 'n8n-workflow';
import { DynamicNodeParametersService } from '../services/dynamicNodeParameters.service';
import { DynamicNodeParametersRequest } from '../requests';
export declare class DynamicNodeParametersController {
    private readonly service;
    constructor(service: DynamicNodeParametersService);
    parseQueryParams(req: DynamicNodeParametersRequest.BaseRequest, _: Response, next: NextFunction): void;
    getOptions(req: DynamicNodeParametersRequest.Options): Promise<INodePropertyOptions[]>;
    getResourceLocatorResults(req: DynamicNodeParametersRequest.ResourceLocatorResults): Promise<INodeListSearchResult | undefined>;
    getResourceMappingFields(req: DynamicNodeParametersRequest.ResourceMapperFields): Promise<ResourceMapperFields | undefined>;
}
