import { Response } from 'express';
import { AuthService } from '../auth/auth.service';
import { UserRequest } from '../requests';
import { License } from '../License';
import { UserService } from '../services/user.service';
import { Logger } from '../Logger';
import { PasswordUtility } from '../services/password.utility';
import { PostHogClient } from '../posthog';
import { UserRepository } from '../databases/repositories/user.repository';
import { InternalHooks } from '../InternalHooks';
import { ExternalHooks } from '../ExternalHooks';
export declare class InvitationController {
    private readonly logger;
    private readonly internalHooks;
    private readonly externalHooks;
    private readonly authService;
    private readonly userService;
    private readonly license;
    private readonly passwordUtility;
    private readonly userRepository;
    private readonly postHog;
    constructor(logger: Logger, internalHooks: InternalHooks, externalHooks: ExternalHooks, authService: AuthService, userService: UserService, license: License, passwordUtility: PasswordUtility, userRepository: UserRepository, postHog: PostHogClient);
    inviteUser(req: UserRequest.Invite): Promise<UserRequest.InviteResponse[]>;
    acceptInvitation(req: UserRequest.Update, res: Response): Promise<import("../Interfaces").PublicUser>;
}
