import { Response } from 'express';
import { AuthService } from '../auth/auth.service';
import { PasswordUtility } from '../services/password.utility';
import { OwnerRequest } from '../requests';
import { SettingsRepository } from '../databases/repositories/settings.repository';
import { UserRepository } from '../databases/repositories/user.repository';
import { PostHogClient } from '../posthog';
import { UserService } from '../services/user.service';
import { Logger } from '../Logger';
import { InternalHooks } from '../InternalHooks';
export declare class OwnerController {
    private readonly logger;
    private readonly internalHooks;
    private readonly settingsRepository;
    private readonly authService;
    private readonly userService;
    private readonly passwordUtility;
    private readonly postHog;
    private readonly userRepository;
    constructor(logger: Logger, internalHooks: InternalHooks, settingsRepository: SettingsRepository, authService: AuthService, userService: UserService, passwordUtility: PasswordUtility, postHog: PostHogClient, userRepository: UserRepository);
    setupOwner(req: OwnerRequest.Post, res: Response): Promise<import("../Interfaces").PublicUser>;
    dismissBanner(req: OwnerRequest.DismissBanner): Promise<{
        success: boolean;
    }>;
}
