import { DataSource, Repository } from '@n8n/typeorm';
import type { EntityManager, FindManyOptions } from '@n8n/typeorm';
import { SharedWorkflow, type WorkflowSharingRole } from '../entities/SharedWorkflow';
import { type User } from '../entities/User';
import type { Scope } from '@n8n/permissions';
import type { WorkflowEntity } from '../entities/WorkflowEntity';
export declare class SharedWorkflowRepository extends Repository<SharedWorkflow> {
    constructor(dataSource: DataSource);
    hasAccess(workflowId: string, user: User): Promise<boolean>;
    getSharedUserIds(workflowId: string): Promise<string[]>;
    getSharedWorkflowIds(workflowIds: string[]): Promise<string[]>;
    findByWorkflowIds(workflowIds: string[]): Promise<SharedWorkflow[]>;
    findSharingRole(userId: string, workflowId: string): Promise<WorkflowSharingRole | undefined>;
    findSharing(workflowId: string, user: User, scope: Scope, { roles, extraRelations }?: {
        roles?: WorkflowSharingRole[];
        extraRelations?: string[];
    }): Promise<SharedWorkflow | null>;
    makeOwnerOfAllWorkflows(user: User): Promise<import("@n8n/typeorm").UpdateResult>;
    getSharing(user: User, workflowId: string, options: {
        allowGlobalScope: true;
        globalScope: Scope;
    } | {
        allowGlobalScope: false;
    }, relations?: string[]): Promise<SharedWorkflow | null>;
    getSharedWorkflows(user: User, options: {
        relations?: string[];
        workflowIds?: string[];
    }): Promise<SharedWorkflow[]>;
    share(transaction: EntityManager, workflow: WorkflowEntity, users: User[]): Promise<SharedWorkflow[]>;
    findWithFields(workflowIds: string[], { select }: Pick<FindManyOptions<SharedWorkflow>, 'select'>): Promise<SharedWorkflow[]>;
    deleteByIds(transaction: EntityManager, sharedWorkflowIds: string[], user?: User): Promise<import("@n8n/typeorm").DeleteResult>;
}
