import type { EntityManager, FindManyOptions } from '@n8n/typeorm';
import { DataSource, Repository } from '@n8n/typeorm';
import type { ListQuery } from '../../requests';
import { type GlobalRole, User } from '../entities/User';
export declare class UserRepository extends Repository<User> {
    constructor(dataSource: DataSource);
    findManyByIds(userIds: string[]): Promise<User[]>;
    deleteAllExcept(user: User): Promise<void>;
    getByIds(transaction: EntityManager, ids: string[]): Promise<User[]>;
    findManyByEmail(emails: string[]): Promise<User[]>;
    deleteMany(userIds: string[]): Promise<import("@n8n/typeorm").DeleteResult>;
    findNonShellUser(email: string): Promise<User | null>;
    countUsersByRole(): Promise<Record<GlobalRole, number>>;
    toFindManyOptions(listQueryOptions?: ListQuery.Options): Promise<FindManyOptions<User>>;
    getEmailsByIds(userIds: string[]): Promise<User[]>;
}
