import { InstanceSettings } from 'n8n-core';
import type { ExportResult } from './types/exportResult';
import type { SourceControlledFile } from './types/sourceControlledFile';
import { VariablesService } from '../variables/variables.service.ee';
import { TagRepository } from '../../databases/repositories/tag.repository';
import { Logger } from '../../Logger';
export declare class SourceControlExportService {
    private readonly logger;
    private readonly variablesService;
    private readonly tagRepository;
    private gitFolder;
    private workflowExportFolder;
    private credentialExportFolder;
    constructor(logger: Logger, variablesService: VariablesService, tagRepository: TagRepository, instanceSettings: InstanceSettings);
    getWorkflowPath(workflowId: string): string;
    getCredentialsPath(credentialsId: string): string;
    deleteRepositoryFolder(): Promise<void>;
    rmFilesFromExportFolder(filesToBeDeleted: Set<string>): Set<string>;
    private writeExportableWorkflowsToExportFolder;
    exportWorkflowsToWorkFolder(candidates: SourceControlledFile[]): Promise<ExportResult>;
    exportVariablesToWorkFolder(): Promise<ExportResult>;
    exportTagsToWorkFolder(): Promise<ExportResult>;
    private replaceCredentialData;
    exportCredentialsToWorkFolder(candidates: SourceControlledFile[]): Promise<ExportResult>;
}
