import express from 'express';
import type { IRunExecutionData } from 'n8n-workflow';
import { MessageEventBus } from './MessageEventBus/MessageEventBus';
import type { EventMessageTypes, FailedEventSummary } from './EventMessageClasses';
import { ExecutionDataRecoveryService } from './executionDataRecovery.service';
export declare class EventBusController {
    private readonly eventBus;
    private readonly recoveryService;
    constructor(eventBus: MessageEventBus, recoveryService: ExecutionDataRecoveryService);
    getEvents(req: express.Request): Promise<EventMessageTypes[] | Record<string, EventMessageTypes[]>>;
    getFailedEvents(req: express.Request): Promise<FailedEventSummary[]>;
    getEventForExecutionId(req: express.Request): Promise<EventMessageTypes[] | undefined>;
    getRecoveryForExecutionId(req: express.Request): Promise<IRunExecutionData | undefined>;
    postEvent(req: express.Request): Promise<EventMessageTypes | undefined>;
    getEventNames(): Promise<string[]>;
}
