import { LicenseRequest } from '../requests';
import { LicenseService } from './license.service';
export declare class LicenseController {
    private readonly licenseService;
    constructor(licenseService: LicenseService);
    getLicenseData(): Promise<{
        usage: {
            executions: {
                value: number;
                limit: number;
                warningThreshold: number;
            };
        };
        license: {
            planId: string;
            planName: string;
        };
    }>;
    activateLicense(req: LicenseRequest.Activate): Promise<{
        managementToken: string;
        usage: {
            executions: {
                value: number;
                limit: number;
                warningThreshold: number;
            };
        };
        license: {
            planId: string;
            planName: string;
        };
    }>;
    renewLicense(): Promise<{
        managementToken: string;
        usage: {
            executions: {
                value: number;
                limit: number;
                warningThreshold: number;
            };
        };
        license: {
            planId: string;
            planName: string;
        };
    }>;
    private getTokenAndData;
}
