"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AIService = void 0;
const typedi_1 = require("typedi");
const config_1 = __importDefault(require("../config"));
const debugError_1 = require("../services/ai/prompts/debugError");
const openai_1 = require("../services/ai/providers/openai");
const unknown_1 = require("../services/ai/providers/unknown");
function isN8nAIProviderType(value) {
    return ['openai'].includes(value);
}
let AIService = class AIService {
    constructor() {
        this.provider = 'unknown';
        this.model = new unknown_1.AIProviderUnknown();
        const providerName = config_1.default.getEnv('ai.provider');
        if (isN8nAIProviderType(providerName)) {
            this.provider = providerName;
        }
        if (this.provider === 'openai') {
            const apiKey = config_1.default.getEnv('ai.openAIApiKey');
            if (apiKey) {
                this.model = new openai_1.AIProviderOpenAI({ apiKey });
            }
        }
    }
    async prompt(messages) {
        return await this.model.prompt(messages);
    }
    async debugError(error, nodeType) {
        return await this.prompt((0, debugError_1.createDebugErrorPrompt)(error, nodeType));
    }
};
exports.AIService = AIService;
exports.AIService = AIService = __decorate([
    (0, typedi_1.Service)(),
    __metadata("design:paramtypes", [])
], AIService);
//# sourceMappingURL=ai.service.js.map