"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AIProviderOpenAI = void 0;
const openai_1 = require("@langchain/openai");
class AIProviderOpenAI {
    constructor(options) {
        this.model = new openai_1.ChatOpenAI({
            openAIApiKey: options.apiKey,
            modelName: 'gpt-3.5-turbo-16k',
            timeout: 60000,
            maxRetries: 2,
            temperature: 0.2,
        });
    }
    mapResponse(data) {
        if (Array.isArray(data.content)) {
            return data.content
                .map((message) => 'text' in message ? message.text : 'image_url' in message ? message.image_url : '')
                .join('\n');
        }
        return data.content;
    }
    async prompt(messages) {
        const data = await this.model.invoke(messages);
        return this.mapResponse(data);
    }
}
exports.AIProviderOpenAI = AIProviderOpenAI;
//# sourceMappingURL=openai.js.map