"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleWorkerResponseMessageMain = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const typedi_1 = __importDefault(require("typedi"));
const Logger_1 = require("../../../Logger");
const push_1 = require("../../../push");
async function handleWorkerResponseMessageMain(messageString) {
    const workerResponse = (0, n8n_workflow_1.jsonParse)(messageString);
    if (workerResponse) {
        switch (workerResponse.command) {
            case 'getStatus':
                const push = typedi_1.default.get(push_1.Push);
                push.broadcast('sendWorkerStatusMessage', {
                    workerId: workerResponse.workerId,
                    status: workerResponse.payload,
                });
                break;
            case 'getId':
                break;
            default:
                typedi_1.default.get(Logger_1.Logger).debug(`Received worker response ${workerResponse.command} from ${workerResponse.workerId}`);
        }
    }
    return workerResponse;
}
exports.handleWorkerResponseMessageMain = handleWorkerResponseMessageMain;
//# sourceMappingURL=handleWorkerResponseMessageMain.js.map