"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrchestrationHandlerMainService = void 0;
const typedi_1 = __importStar(require("typedi"));
const RedisServiceHelper_1 = require("../../redis/RedisServiceHelper");
const handleWorkerResponseMessageMain_1 = require("./handleWorkerResponseMessageMain");
const handleCommandMessageMain_1 = require("./handleCommandMessageMain");
const MessageEventBus_1 = require("../../../eventbus/MessageEventBus/MessageEventBus");
const orchestration_handler_base_service_1 = require("../../orchestration.handler.base.service");
let OrchestrationHandlerMainService = class OrchestrationHandlerMainService extends orchestration_handler_base_service_1.OrchestrationHandlerService {
    async initSubscriber() {
        this.redisSubscriber = await this.redisService.getPubSubSubscriber();
        await this.redisSubscriber.subscribeToCommandChannel();
        await this.redisSubscriber.subscribeToWorkerResponseChannel();
        await this.redisSubscriber.subscribeToEventLog();
        this.redisSubscriber.addMessageHandler('OrchestrationMessageReceiver', async (channel, messageString) => {
            if (channel === RedisServiceHelper_1.WORKER_RESPONSE_REDIS_CHANNEL) {
                await (0, handleWorkerResponseMessageMain_1.handleWorkerResponseMessageMain)(messageString);
            }
            else if (channel === RedisServiceHelper_1.COMMAND_REDIS_CHANNEL) {
                await (0, handleCommandMessageMain_1.handleCommandMessageMain)(messageString);
            }
            else if (channel === RedisServiceHelper_1.EVENT_BUS_REDIS_CHANNEL) {
                await typedi_1.default.get(MessageEventBus_1.MessageEventBus).handleRedisEventBusMessage(messageString);
            }
        });
    }
};
exports.OrchestrationHandlerMainService = OrchestrationHandlerMainService;
exports.OrchestrationHandlerMainService = OrchestrationHandlerMainService = __decorate([
    (0, typedi_1.Service)()
], OrchestrationHandlerMainService);
//# sourceMappingURL=orchestration.handler.main.service.js.map