import { CacheService } from '../services/cache/cache.service';
import { SharedWorkflowRepository } from '../databases/repositories/sharedWorkflow.repository';
import type { User } from '../databases/entities/User';
import { UserRepository } from '../databases/repositories/user.repository';
import type { ListQuery } from '../requests';
export declare class OwnershipService {
    private cacheService;
    private userRepository;
    private sharedWorkflowRepository;
    constructor(cacheService: CacheService, userRepository: UserRepository, sharedWorkflowRepository: SharedWorkflowRepository);
    getWorkflowOwnerCached(workflowId: string): Promise<User>;
    addOwnedByAndSharedWith(rawWorkflow: ListQuery.Workflow.WithSharing): ListQuery.Workflow.WithOwnedByAndSharedWith;
    addOwnedByAndSharedWith(rawCredential: ListQuery.Credentials.WithSharing): ListQuery.Credentials.WithOwnedByAndSharedWith;
    getInstanceOwner(): Promise<User>;
}
