import type { AbstractEventMessage } from '../../eventbus/EventMessageClasses/AbstractEventMessage';
import type { RedisServiceCommandObject, RedisServiceWorkerResponseObject } from './RedisServiceCommands';
import { RedisServiceBaseSender } from './RedisServiceBaseClasses';
export declare class RedisServicePubSubPublisher extends RedisServiceBaseSender {
    init(): Promise<void>;
    publish(channel: string, message: string): Promise<void>;
    publishToEventLog(message: AbstractEventMessage): Promise<void>;
    publishToCommandChannel(message: Omit<RedisServiceCommandObject, 'senderId'>): Promise<void>;
    publishToWorkerChannel(message: RedisServiceWorkerResponseObject): Promise<void>;
    setIfNotExists(key: string, value: string): Promise<boolean>;
    setExpiration(key: string, ttl: number): Promise<void>;
    get(key: string): Promise<string | null | undefined>;
    clear(key: string): Promise<void>;
}
