"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UrlService = void 0;
const typedi_1 = require("typedi");
const config_1 = __importDefault(require("../config"));
let UrlService = class UrlService {
    constructor() {
        this.baseUrl = this.generateBaseUrl();
    }
    getWebhookBaseUrl() {
        var _a;
        let urlBaseWebhook = (_a = process.env.WEBHOOK_URL) !== null && _a !== void 0 ? _a : this.baseUrl;
        if (!urlBaseWebhook.endsWith('/')) {
            urlBaseWebhook += '/';
        }
        return urlBaseWebhook;
    }
    getInstanceBaseUrl() {
        const n8nBaseUrl = config_1.default.getEnv('editorBaseUrl') || this.getWebhookBaseUrl();
        return n8nBaseUrl.endsWith('/') ? n8nBaseUrl.slice(0, n8nBaseUrl.length - 1) : n8nBaseUrl;
    }
    generateBaseUrl() {
        const protocol = config_1.default.getEnv('protocol');
        const host = config_1.default.getEnv('host');
        const port = config_1.default.getEnv('port');
        const path = config_1.default.getEnv('path');
        if ((protocol === 'http' && port === 80) || (protocol === 'https' && port === 443)) {
            return `${protocol}://${host}${path}`;
        }
        return `${protocol}://${host}:${port}${path}`;
    }
};
exports.UrlService = UrlService;
exports.UrlService = UrlService = __decorate([
    (0, typedi_1.Service)(),
    __metadata("design:paramtypes", [])
], UrlService);
//# sourceMappingURL=url.service.js.map