import type { IUserSettings } from 'n8n-workflow';
import { type AssignableRole, User } from '../databases/entities/User';
import { UserRepository } from '../databases/repositories/user.repository';
import type { PublicUser } from '../Interfaces';
import type { PostHogClient } from '../posthog';
import { Logger } from '../Logger';
import { UserManagementMailer } from '../UserManagement/email';
import { UrlService } from '../services/url.service';
import type { UserRequest } from '../requests';
export declare class UserService {
    private readonly logger;
    private readonly userRepository;
    private readonly mailer;
    private readonly urlService;
    constructor(logger: Logger, userRepository: UserRepository, mailer: UserManagementMailer, urlService: UrlService);
    update(userId: string, data: Partial<User>): Promise<import("@n8n/typeorm").UpdateResult>;
    getManager(): import("@n8n/typeorm").EntityManager;
    updateSettings(userId: string, newSettings: Partial<IUserSettings>): Promise<import("@n8n/typeorm").UpdateResult>;
    toPublic(user: User, options?: {
        withInviteUrl?: boolean;
        inviterId?: string;
        posthog?: PostHogClient;
        withScopes?: boolean;
    }): Promise<PublicUser>;
    private addInviteUrl;
    private addFeatureFlags;
    private sendEmails;
    inviteUsers(owner: User, attributes: Array<{
        email: string;
        role: AssignableRole;
    }>): Promise<{
        usersInvited: UserRequest.InviteResponse[];
        usersCreated: string[];
    }>;
}
