import type { User } from '../../databases/entities/User';
import type { WorkflowEntity } from '../../databases/entities/WorkflowEntity';
import type { WorkflowHistory } from '../../databases/entities/WorkflowHistory';
import { SharedWorkflowRepository } from '../../databases/repositories/sharedWorkflow.repository';
import { WorkflowHistoryRepository } from '../../databases/repositories/workflowHistory.repository';
import { Logger } from '../../Logger';
export declare class WorkflowHistoryService {
    private readonly logger;
    private readonly workflowHistoryRepository;
    private readonly sharedWorkflowRepository;
    constructor(logger: Logger, workflowHistoryRepository: WorkflowHistoryRepository, sharedWorkflowRepository: SharedWorkflowRepository);
    private getSharedWorkflow;
    getList(user: User, workflowId: string, take: number, skip: number): Promise<Array<Omit<WorkflowHistory, 'nodes' | 'connections'>>>;
    getVersion(user: User, workflowId: string, versionId: string): Promise<WorkflowHistory>;
    saveVersion(user: User, workflow: WorkflowEntity, workflowId: string): Promise<void>;
}
