"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowSharingService = void 0;
const typedi_1 = require("typedi");
const typeorm_1 = require("@n8n/typeorm");
const sharedWorkflow_repository_1 = require("../databases/repositories/sharedWorkflow.repository");
let WorkflowSharingService = class WorkflowSharingService {
    constructor(sharedWorkflowRepository) {
        this.sharedWorkflowRepository = sharedWorkflowRepository;
    }
    async getSharedWorkflowIds(user, roles) {
        const where = {};
        if (!user.hasGlobalScope('workflow:read')) {
            where.userId = user.id;
        }
        if (roles === null || roles === void 0 ? void 0 : roles.length) {
            where.role = (0, typeorm_1.In)(roles);
        }
        const sharedWorkflows = await this.sharedWorkflowRepository.find({
            where,
            select: ['workflowId'],
        });
        return sharedWorkflows.map(({ workflowId }) => workflowId);
    }
};
exports.WorkflowSharingService = WorkflowSharingService;
exports.WorkflowSharingService = WorkflowSharingService = __decorate([
    (0, typedi_1.Service)(),
    __metadata("design:paramtypes", [sharedWorkflow_repository_1.SharedWorkflowRepository])
], WorkflowSharingService);
//# sourceMappingURL=workflowSharing.service.js.map